<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".PointAnalysis.SelPointListActivity">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@drawable/bg_title">


        <ImageView
            android:id="@+id/moudle_sel_point_iv_back"
            android:layout_width="0dp"
            android:layout_height="35dp"
            android:layout_gravity="center_vertical"
            android:layout_weight="0.1"
            android:padding="5dp"
            android:src="@mipmap/back_hd" />


        <RelativeLayout
            android:layout_width="0dp"
            android:layout_height="30dp"
            android:layout_gravity="center_vertical"
            android:layout_weight="0.5">

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@mipmap/moudle_search_bg" />

            <ImageView
                android:id="@+id/moudle_sel_point_iv_search"
                android:layout_width="60dp"
                android:layout_height="match_parent"
                android:paddingLeft="10dp"
                android:padding="6dp"
                android:src="@mipmap/moudle_search" />

            <EditText
                android:id="@+id/moudle_sel_point_edt_pointname"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@null"
                android:gravity="center_vertical"
                android:hint="点击输入名称搜索"
                android:layout_marginLeft="60dp"
                android:paddingRight="15dp"
                android:textSize="13sp" />
        </RelativeLayout>

        <TextView
            android:id="@+id/moudle_sel_point_tv_search"
            android:layout_width="0dp"
            android:text="搜索"
            android:layout_height="match_parent"
            android:layout_weight="0.1"
            android:gravity="center"
            android:textColor="@color/white" />
        <TextView
            android:id="@+id/moudle_sel_point_tv_compare"
            android:layout_width="0dp"
            android:text="展示"
            android:layout_height="match_parent"
            android:layout_weight="0.1"
            android:gravity="center"
            android:textColor="@color/white" />
    </LinearLayout>
    <LinearLayout
        android:id="@+id/moudle_sel_point_ll_source"
        android:background="@color/gray_patrol"
        android:orientation="horizontal"
        android:layout_width="match_parent"
        android:layout_height="40dp">
        <RelativeLayout
            android:background="@color/gray_patrol"
            android:layout_weight="2"
            android:layout_width="0dp"
            android:layout_height="match_parent">
            <Spinner
                android:id="@+id/moudle_sel_point_sp_source"
                android:textColor="#5F5F5F"
                android:layout_width="match_parent"
                android:background="#F2F2F2"
                android:layout_height="match_parent"/>
            <ImageView
                android:layout_alignParentRight="true"
                android:layout_marginRight="10dp"
                android:src="@mipmap/iv_down"
                android:padding="5dp"
                android:layout_width="30dp"
                android:layout_height="match_parent" />
        </RelativeLayout>
    </LinearLayout>
    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/moudle_sel_point_rc_seled_point"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="60dp"/>
    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/moudle_sel_point_refresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <com.scwang.smart.refresh.header.ClassicsHeader
            android:layout_width="match_parent"
            android:layout_height="wrap_content"/>
        <LinearLayout
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingTop="8dp"
            android:paddingLeft="9dp"
            android:paddingRight="9dp">
            <com.sipai.ui.EmptyLayout
                android:id="@+id/moudle_sel_point_ui_empty"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="match_parent"/>
            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/moudle_sel_point_list_rc"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </LinearLayout>
        <com.scwang.smart.refresh.footer.ClassicsFooter
            android:layout_width="match_parent"
            android:layout_height="wrap_content"/>
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>
</LinearLayout>